import { ElementType } from "react";
import { useAppSelector } from "../../hooks";
import { selectAuth } from "../../store";

export const WithHocAuth = (Component: ElementType) => {
  return function WithHocAuthComponent({ ...props }: {
    [key: string]: any;
  }) {
    const auth = useAppSelector(selectAuth);

    return (
      <Component
        auth={auth}
        {...props}
      />
    );
  };
};

export type AuthType = any;
